<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script>
        //1.40: template literal
        var spiderMan = {
            name: "Peter",
            age: 25
        };

        var superMan = {
            name: "Clark",
            age: 200
        };

        console.log("Hello, \r\n     " + superMan.name + ", my name is  " + spiderMan.name + ", I'm " + spiderMan.age + " year old." + " Do you want to have a fight!!!");
        let firstName = "Peter";
        let lastName = "Parker";

        console.log(`Hello 

      everyone! My 
                                    name is ${firstName} ${lastName}.`);
        
        //1.50: object literal
      /*  var name = "John";
        var myObj = {
            name: name,
            sayHi: function () {
                console.log("Hi, my name is " + this.name)
            }
        };
        myObj.sayHi()*/

        
        let name = "John";
        let myObj = {
            name,
            sayHi() {
                //console.log("Hi, my name is " + this.name)
                console.log(`Hi, my name is ${this.name}`);
            }
        };
        myObj.sayHi()

    </script>
</head>

<body>

</body>

</html>
